Bug 817394 - Thunderbird 12 trashes emails from local mail spool
Thunderbird 12 trashes emails from local mail spool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
16
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 13:01 EDT by Ronald Wahl
Modified: 2012-05-03 04:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 04:50:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald Wahl 2012-04-29 13:01:08 EDT
Description of problem:

Thunderbird 12 trashes mail when moving mail from the local UNIX mail spool. Most of the mails get lost. This is absolutely not acceptable!

Version-Release number of selected component (if applicable):
12.0-1.fc16.x86_64


How reproducible:
Always (even in safe mode with all add-ons disabled)

Steps to Reproduce:
1. Configure a local mail spool
2. send some (e.g. four) test messages to this spool (e.g. content "test" subject "test")
3. Get Mail in Thunderbird
  
Actual results:
Only one message is received instead of four. The mailbox file also contains only a single mail. In my case with specific messages Thunderbird mangles two mails together so that one email contains the header of the next email in the mailbox file.

Expected results:
Each mail should be received and displayed.

Additional info:
Downgrading to Thunderbird 11 fixes the behaviour. Is it possible to revoke Thunderbird 12 until this is fixed? I think this is really critical.
Comment 1 Jan Horak 2012-04-30 07:24:15 EDT
Mozilla is releasing hotfixed version 12.0.1. We have builds here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=316077
Please test them and let us know if you are able to reproduce this issue.
Comment 2 Ronald Wahl 2012-04-30 14:18:43 EDT
With 12.0.1 the bug is gone. Thanks!
Comment 3 Jan Horak 2012-05-03 04:50:06 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.